---
title: "Reads one certificate issued to the customer."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo customer API › certificate

`GET /v1/stores/{store}/products/{product}/certificates/{certificate}`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `read`

## Path parameters

- `store` (`getCertificate.path.store`; string, required) — A hostname of the store.
- `product` (`getCertificate.path.product`; string, required) — An id, or `slug:<slug>`.
  - minLength 1
- `certificate` (`getCertificate.path.certificate`; string, required)
  - minLength 1

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sherpo.io/customer/v1/stores/<store>/products/<product>/certificates/<certificate>' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/customer/v1/stores/<store>/products/<product>/certificates/<certificate>';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/customer/v1/stores/<store>/products/<product>/certificates/<certificate>"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Reads one certificate issued to the customer.

#### Example

```json
{
  "holder": "string",
  "certificate": {
    "entry_id": "string",
    "id": "string",
    "product_id": "string",
    "quiz_id": "string",
    "headline_copy": "string",
    "title_copy": "string",
    "awarded_copy": "string",
    "reason_copy": "string",
    "score_copy": "string",
    "out_of_score_copy": "string",
    "settings": {
      "requires_passing": true,
      "shows": [
        "string"
      ],
      "template": "string",
      "accent": "string"
    }
  },
  "product": {
    "id": "string",
    "slug": "string",
    "path": "string",
    "url": "string",
    "title": "string",
    "category": "string",
    "deleted": true
  },
  "id": "string",
  "product_id": "string",
  "certificate_id": "string",
  "score": 0,
  "attempt": 0,
  "issued_at": "string"
}
```

- `holder` (`getCertificate.response.200.holder`; any of, required)
  - any of: `string`, `null`
- `certificate` (`getCertificate.response.200.certificate`; object, required)
  - `entry_id` (`getCertificate.response.200.certificate.entry_id`; any of, required)
    - any of: `string`, `null`
  - `id` (`getCertificate.response.200.certificate.id`; string, required)
  - `product_id` (`getCertificate.response.200.certificate.product_id`; string, required)
  - `quiz_id` (`getCertificate.response.200.certificate.quiz_id`; any of, required)
    - any of: `string`, `null`
  - `headline_copy` (`getCertificate.response.200.certificate.headline_copy`; string, required)
  - `title_copy` (`getCertificate.response.200.certificate.title_copy`; any of, required)
    - any of: `string`, `null`
  - `awarded_copy` (`getCertificate.response.200.certificate.awarded_copy`; any of, required)
    - any of: `string`, `null`
  - `reason_copy` (`getCertificate.response.200.certificate.reason_copy`; any of, required)
    - any of: `string`, `null`
  - `score_copy` (`getCertificate.response.200.certificate.score_copy`; any of, required)
    - any of: `string`, `null`
  - `out_of_score_copy` (`getCertificate.response.200.certificate.out_of_score_copy`; any of, required)
    - any of: `string`, `null`
  - `settings` (`getCertificate.response.200.certificate.settings`; object, required)
    - `requires_passing` (`getCertificate.response.200.certificate.settings.requires_passing`; boolean, required)
    - `shows` (`getCertificate.response.200.certificate.settings.shows`; array<string>, required)
    - `template` (`getCertificate.response.200.certificate.settings.template`; string, required)
    - `accent` (`getCertificate.response.200.certificate.settings.accent`; any of, required)
      - any of: `string`, `null`
- `product` (`getCertificate.response.200.product`; any of, required)
  - any of: `object`, `null`
- `id` (`getCertificate.response.200.id`; string, required)
- `product_id` (`getCertificate.response.200.product_id`; string, required)
- `certificate_id` (`getCertificate.response.200.certificate_id`; string, required)
- `score` (`getCertificate.response.200.score`; any of, required)
  - any of: `number`, `null`
- `attempt` (`getCertificate.response.200.attempt`; any of, required)
  - any of: `number`, `null`
- `issued_at` (`getCertificate.response.200.issued_at`; string, required)

### default

A problem; see https://api.sherpo.io/customer/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`getCertificate.response.default.type`; string, required)
  - format `uri`
- `title` (`getCertificate.response.default.title`; string, required)
- `status` (`getCertificate.response.default.status`; integer, required)
- `detail` (`getCertificate.response.default.detail`; string, required)
- `code` (`getCertificate.response.default.code`; string, optional)
- `context` (`getCertificate.response.default.context`; object, optional)
- `reached_core` (`getCertificate.response.default.reached_core`; boolean, optional)
- `core_answer` (`getCertificate.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/customer-api/reference/get-certificate/index.md
